Save transactions
curl --request POST \
--url https://sandbox.tight.com/v6/banks/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"date": "2025-02-24",
"amount": 5001,
"description": "<string>",
"apiName": "PLAID",
"bankAccountId": "<string>",
"id": "<string>",
"originalCurrency": "USD",
"notes": "Gas purchase",
"apiSourceId": "<string>",
"matchingBankTransactionId": "<string>",
"vendorId": "<string>",
"customerId": "<string>",
"dimensionValueIds": [
"<string>"
],
"categoryId": "<string>",
"glAccountId": "<string>",
"tax": {
"paymentInfo": {
"year": 123
}
},
"children": [
{
"id": "<string>",
"amount": 5001,
"notes": "Gas purchase",
"dimensionValueIds": [
"<string>"
],
"customerId": "<string>",
"categoryId": "<string>",
"glAccountId": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"payrollId": "<string>",
"apiItemId": "<string>"
}
],
"attachmentIds": [
"<string>"
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/banks/transactions"
payload = { "data": [
{
"date": "2025-02-24",
"amount": 5001,
"description": "<string>",
"apiName": "PLAID",
"bankAccountId": "<string>",
"id": "<string>",
"originalCurrency": "USD",
"notes": "Gas purchase",
"apiSourceId": "<string>",
"matchingBankTransactionId": "<string>",
"vendorId": "<string>",
"customerId": "<string>",
"dimensionValueIds": ["<string>"],
"categoryId": "<string>",
"glAccountId": "<string>",
"tax": { "paymentInfo": { "year": 123 } },
"children": [
{
"id": "<string>",
"amount": 5001,
"notes": "Gas purchase",
"dimensionValueIds": ["<string>"],
"customerId": "<string>",
"categoryId": "<string>",
"glAccountId": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"payrollId": "<string>",
"apiItemId": "<string>"
}
],
"attachmentIds": ["<string>"],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
date: '2025-02-24',
amount: 5001,
description: '<string>',
apiName: 'PLAID',
bankAccountId: '<string>',
id: '<string>',
originalCurrency: 'USD',
notes: 'Gas purchase',
apiSourceId: '<string>',
matchingBankTransactionId: '<string>',
vendorId: '<string>',
customerId: '<string>',
dimensionValueIds: ['<string>'],
categoryId: '<string>',
glAccountId: '<string>',
tax: {paymentInfo: {year: 123}},
children: [
{
id: '<string>',
amount: 5001,
notes: 'Gas purchase',
dimensionValueIds: ['<string>'],
customerId: '<string>',
categoryId: '<string>',
glAccountId: '<string>',
invoiceId: '<string>',
billId: '<string>',
payrollId: '<string>',
apiItemId: '<string>'
}
],
attachmentIds: ['<string>'],
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/banks/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "btxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": -273479,
"currencyInfo": {
"originalCurrency": "USD",
"originalAmount": -273479
},
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "GUSTO",
"iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid Atlantic",
"child": {
"id": "dv_593054",
"dimension": {
"id": "dim_4522",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC"
}
},
{
"id": "dv_594913",
"dimension": {
"id": "dim_4523",
"name": "Job Code",
"requiredness": "NOT_REQUIRED"
},
"name": "7050 – Interior Finishes"
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"suggestedCategories": [
{
"id": "ctg_58932891"
},
{
"id": "ctg_58932892"
}
],
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoiceItem": {
"id": "<string>",
"description": "<string>"
},
"reconciliationMatch": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"matchingBankTransaction": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"conversation": {
"id": "<string>",
"readStatus": "UNREAD"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt1.pdf",
"fileName": "receipt1.pdf",
"fileSize": "24.5 KB",
"createdDateTime": "2026-07-23T18:25:15.336863379",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
},
{
"id": "att_894322",
"url": "https://files.example.com/attachment/receipt2.pdf",
"fileName": "receipt2.pdf",
"fileSize": "156.2 KB",
"createdDateTime": "2026-07-22T18:25:15.336918002",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
],
"tax": {},
"children": [],
"customData": {
"empty": false,
"object": true,
"nodeType": "OBJECT",
"array": false,
"null": false,
"embeddedValue": false,
"missingNode": false,
"valueNode": false,
"container": true,
"float": false,
"string": false,
"number": false,
"pojo": false,
"integralNumber": false,
"floatingPointNumber": false,
"short": false,
"int": false,
"long": false,
"double": false,
"bigDecimal": false,
"bigInteger": false,
"textual": false,
"boolean": false,
"binary": false
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "btxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": -273479,
"currencyInfo": {
"originalCurrency": "USD",
"originalAmount": -273479
},
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "GUSTO",
"iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid Atlantic",
"child": {
"id": "dv_593054",
"dimension": {
"id": "dim_4522",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC"
}
},
{
"id": "dv_594913",
"dimension": {
"id": "dim_4523",
"name": "Job Code",
"requiredness": "NOT_REQUIRED"
},
"name": "7050 – Interior Finishes"
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"suggestedCategories": [
{
"id": "ctg_58932891"
},
{
"id": "ctg_58932892"
}
],
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoiceItem": {
"id": "<string>",
"description": "<string>"
},
"reconciliationMatch": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"matchingBankTransaction": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"conversation": {
"id": "<string>",
"readStatus": "UNREAD"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt1.pdf",
"fileName": "receipt1.pdf",
"fileSize": "24.5 KB",
"createdDateTime": "2026-07-23T18:25:15.336863379",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
},
{
"id": "att_894322",
"url": "https://files.example.com/attachment/receipt2.pdf",
"fileName": "receipt2.pdf",
"fileSize": "156.2 KB",
"createdDateTime": "2026-07-22T18:25:15.336918002",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
],
"tax": {},
"children": [],
"customData": {
"empty": false,
"object": true,
"nodeType": "OBJECT",
"array": false,
"null": false,
"embeddedValue": false,
"missingNode": false,
"valueNode": false,
"container": true,
"float": false,
"string": false,
"number": false,
"pojo": false,
"integralNumber": false,
"floatingPointNumber": false,
"short": false,
"int": false,
"long": false,
"double": false,
"bigDecimal": false,
"bigInteger": false,
"textual": false,
"boolean": false,
"binary": false
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "btxn_158998869",
"type": "EXPENSE",
"date": "2025-06-26",
"amount": -273479,
"currencyInfo": {
"originalCurrency": "USD",
"originalAmount": -273479
},
"displayName": "Gusto",
"description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
"notes": "June Payroll",
"status": "ACTIVE",
"reviewStatus": "RECONCILED",
"apiName": "GUSTO",
"iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
"apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1687"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid Atlantic",
"child": {
"id": "dv_593054",
"dimension": {
"id": "dim_4522",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC"
}
},
{
"id": "dv_594913",
"dimension": {
"id": "dim_4523",
"name": "Job Code",
"requiredness": "NOT_REQUIRED"
},
"name": "7050 – Interior Finishes"
}
],
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"vendor": {
"id": "vnd_28868401",
"name": "Gusto"
},
"category": {
"id": "ctg_58932890",
"name": "Wages",
"iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
},
"suggestedCategories": [
{
"id": "ctg_58932891"
},
{
"id": "ctg_58932892"
}
],
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
"displayName": "#60210 Officer(s) Salaries and Wages"
},
"invoiceItem": {
"id": "<string>",
"description": "<string>"
},
"reconciliationMatch": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"matchingBankTransaction": {
"id": "<string>",
"amount": 123,
"date": "2025-06-28",
"description": "<string>",
"apiName": "UNIT",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking",
"displayName": "Business Checking *1234"
}
},
"conversation": {
"id": "<string>",
"readStatus": "UNREAD"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt1.pdf",
"fileName": "receipt1.pdf",
"fileSize": "24.5 KB",
"createdDateTime": "2026-07-23T18:25:15.336863379",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
},
{
"id": "att_894322",
"url": "https://files.example.com/attachment/receipt2.pdf",
"fileName": "receipt2.pdf",
"fileSize": "156.2 KB",
"createdDateTime": "2026-07-22T18:25:15.336918002",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
],
"tax": {},
"children": [],
"customData": {
"empty": false,
"object": true,
"nodeType": "OBJECT",
"array": false,
"null": false,
"embeddedValue": false,
"missingNode": false,
"valueNode": false,
"container": true,
"float": false,
"string": false,
"number": false,
"pojo": false,
"integralNumber": false,
"floatingPointNumber": false,
"short": false,
"int": false,
"long": false,
"double": false,
"bigDecimal": false,
"bigInteger": false,
"textual": false,
"boolean": false,
"binary": false
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bank Transactions
Save transactions
Save a new (or update an existing) set of transactions
POST
/
v6
/
banks
/
transactions
Save transactions
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I